mface_get_prop(3m17n)

NAME
mface_get_prop - Get the value of a face property.

SYNOPSIS
void* mface_get_prop (MFace * face, MSymbol key)

DESCRIPTION
Get the value of a face property.

The mface_get_prop() function returns the value of the face property whose key is key in face face. key must be one of the followings:

Mforeground, Mbackground, Mvideomode, Mhline, Mbox, Mfoundry, Mfamily, Mweight, Mstyle, Mstretch, Madstyle, Msize, Mfontset, Mratio, Mhook_func, Mhook_arg

RETURN VALUE

    The actual type of the returned value depends of key. See documentation of the above keys. If an error is detected, it returns NULL and assigns an error code to the external variable merror_code.

SEE ALSO

    mface_put_prop(), mface_put_hook()

ERRORS

    MERROR_FACE

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.